/*!
    \file   df_system_records.h
    \author Bernd Ottmann
    \date   21.02.2003
    \brief  Deklarationen für die Funktionen des Systemlogs.
*/
#ifndef DF_SYSTEM_RECORDS_H
#define DF_SYSTEM_RECORDS_H

#include "df_defines.h"

//#if (DFCOM_API_VERSION >= 0x04010700)

/*! 
    \brief Zugriff auf die System-Log Daten eines Gerätes. 

    \param connectionId Verbindungs-Id.
	\param deviceId Adresse des anzusprechenden Gerätes.
	\param buffer Puffer für die zu übernehmenden Daten.
	\param bufferSize Größe des Puffers für die zu übernehmenden Daten.
	\param errorNumber Variable für die eventuellen Fehler.

    \return Ergebnis der Ausführung.

    \version Ab DLL - Version 4.1.7 enthalten.
*/

DF_API_EXTERN int DF_API_CALL DFCSystemReadRecord( int connectionId, int deviceAddress, char *buffer, int *bufferSize, int *errorNumber );

DF_API_EXTERN int DF_API_CALL DFCSystemQuitRecord( int connectionId, int deviceAddress, int *errorNumber );

DF_API_EXTERN int DF_API_CALL DFCSystemRestoreRecords( int connectionId, int deviceAddress, int *errorNumber );

//#endif

#endif
